using System.ComponentModel.DataAnnotations;

namespace ConstructorApp.DtoLayer.AppUserDto
{
    public class AppUserEditDto
    {
        public string? UserName { get; set; }

        [Required(ErrorMessage = "Mevcut şifre alanı zorunludur.")]
        [Display(Name = "Mevcut Şifre")]
        public string? CurrentPassword { get; set; }  // Bu alan zorunlu hale getirildi

        [StringLength(50), Display(Name = "Yeni Şifre")]
        public string? Password { get; set; }

        [Compare("Password", ErrorMessage = "Şifreler eşleşmiyor.")]
        [StringLength(50), Display(Name = "Şifre Tekrar")]
        public string? ConfirmPassword { get; set; }
    }
}
